/*
 *     jsz.Plotter - a SWING-based Java package for plotting data
 * Copyright (C) 2000 Janek Schwarz <schwarz@informatik.hu-berlin.de>
 *
 *                    This software is dedicated to 
 *                             THE RAMONES
 *                       the best punk band ever.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: AllCaption.java,v 1.4 2000/02/03 21:01:21 schwarz Exp $
 */
package jsz.Plotter;

/**
 * This is an inscription class, which marks every tick of an
 * axis.  {@link jsz.Plotter.ITickInscription} contains 
 * further informations on this topic.
 *
 * @author Janek Schwarz 
 * @version 1.0
 */
class AllCaption
  implements ITickCaption
{
/**
 * indicates, wether zero is marked or ignored
 */
private boolean markZero;

/**
 * Constructor.
 *
 * @param markZero true: mark zero; false: ignore zero
 */
public AllCaption(boolean markZero)
{
  this.markZero = markZero;
}

/**
 * marks every tick (zero depending on {@link #markZero}).
 *
 * @param value tick, which should be marked
 * @return the corresponding caption
 */
public String markTick(double value)
{
  if(value == 0.0 && !markZero)
    return "";
  
  return new Double(value).toString();
}
};
